Bug 192226 - [ml_IN] not render for combination with ZWJ
[ml_IN] not render for combination with ZWJ
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-18 10:10 EDT by A S Alam
Modified: 2013-07-02 20:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.13.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 22:14:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
QT behaviour file (50.43 KB, image/png)
2006-05-18 10:10 EDT, A S Alam
no flags Details
GTK+ Rendering Image (44.77 KB, image/png)
2006-05-18 10:12 EDT, A S Alam
no flags Details
UTF-8 encoded Test file (318 bytes, text/plain)
2006-05-18 10:12 EDT, A S Alam
no flags Details

  None (edit)
Description A S Alam 2006-05-18 10:10:33 EDT
Description of problem:
Lang= Malayalam (ml_IN)
Unicode:
{0d23,0d28,0d31,0d32,0d33} + 0d4d + 200d + SPACE is not correctly render with Pango

Version-Release number of selected component (if applicable):
pango-1.13.1-2

How reproducible:
everytime

Steps to Reproduce:
1. open gedit
2. swtich to unicode input (with malayalam fonts)
3. type
{0d23,0d28,0d31,0d32,0d33} + 0d4d + 200d + SPACE 
4. Repeat 1 to 3 step with kedit (kate)

(alternative, please open attached file malayalam-pango-test.txt in both editors)

Actual results:
gedit don't render combination properly

Expected results:
as Kedit's result

Additional info:
Screenshots are attached
Comment 1 A S Alam 2006-05-18 10:10:33 EDT
Created attachment 129425 [details]
QT behaviour file
Comment 2 A S Alam 2006-05-18 10:12:02 EDT
Created attachment 129426 [details]
GTK+ Rendering Image
Comment 3 A S Alam 2006-05-18 10:12:51 EDT
Created attachment 129427 [details]
UTF-8 encoded Test file
Comment 4 Matthias Clasen 2006-06-20 01:11:35 EDT
Reassigning pango bugs to Behdad.
Comment 5 Liang Zhang 2006-06-22 03:37:09 EDT
Do you have the font file of malayalam?
Do you give me the font file of malayalam?
:)
Comment 6 Liang Zhang 2006-07-05 03:12:42 EDT
I wrote a patch for this bug.
The patch is below:
http://bugzilla.gnome.org/show_bug.cgi
Comment 7 Liang Zhang 2006-07-05 03:15:08 EDT
sorry, the address is:
http://bugzilla.gnome.org/show_bug.cgi?id=345070
Comment 8 Liang Zhang 2006-07-10 22:12:55 EDT
My patch for this bug has been received by upstream of pango.
This bug has been fixed. It can be closed.

Note You need to log in before you can comment on or make changes to this bug.